import { CSSProperties } from "react";
export type TAIStramApiType = "prompt";
export type TAIStreamRequest = {
    id: string;
    apiType: TAIStramApiType;
    start?: number;
    content?: string;
    parameters?: Record<string, string | number | undefined>;
    command: string;
    minContentLength?: number;
    maxResultLength?: number;
    resultInOneParagraph?: boolean;
    temperature?: number;
    model?: string;
    bestOf?: number;
    runCommandAgainToMultiSegmentsResult?: boolean;
    runCommandToFirstSegmentOnly?: boolean;
    commandRequireContent?: boolean;
    transactionId?: string;
};
export type TAIStreamProps = {
    solution?: Record<string, any>;
    request?: TAIStreamRequest;
    start?: number;
    placeholder?: string;
    onStart?: () => void;
    onData?: (text?: string) => void;
    onError?: (error: any) => void;
    onChange?: (text: string) => void;
    onFinish?: (value?: string) => void;
    style?: CSSProperties;
    className?: string;
    rows?: number | undefined;
    maxRows?: number | undefined;
    disabled?: boolean;
};
export declare const AIStream: (props: TAIStreamProps) => JSX.Element;
export default AIStream;
